# --------------------------------------------------------------
# replace all the Field Separators in infobase DBs with a new Separator
#

$currentSeparator = '~';
$newSeparator = '~#~';
$toolsDir = 'program/tools';
$infobasesDir = 'infobases';

    opendir(FILES, $infobasesDir) || die "open $infobasesDir failed";
    local(@files);
    @files = readdir(FILES);
    closedir(FILES);
    local($i);
    # skip "." and ".."
    local($filename);
    for ($i = 0; $i < $#files + 1; $i++) {
		$filename = $infobasesDir . "/". $files[$i];
#		print "looking at: $filename...\n";
		if ((-d $filename) && ($files[$i] =~ /^DB[0-9]+$/) &&
			 (-d "$filename\/db") ) {
			print "REM #Now processing Infobase: $filename\n";
			print "perl $toolsDir\/replace.pl -recurse 3 $filename\/db $currentSeparator $newSeparator\n";
		#	system("perl $toolsDir\/replace.pl -recurse 3 $filename\/db $currentSeparator $newSeparator");
		}
	}


 
